$0.003 / 1k products
Search Blinkit by query — listings, prices, stock, ratings, images
Endpoint
POST /api/v1/agents/blinkit/search/run
Parameters
Multi-select · Or expand by city — pick one or more cities and we’ll include all their stores.View all 253 options →
Multi-select · Or expand by pincode — pick one or more pincodes and we’ll include all their stores.View all 1286 options →
List · Search queries (e.g. milk, bread). One per line.
Number · Maximum products to return per store × query. Use 0 for all.
Response columns
| Field | Display name | Type |
|---|
searchQuery | Search Query | text |
storeId | Store ID | text |
city | City | text |
pincode | Pincode | text |
productUrl | Product URL | url |
productName | Product Name | text |
brand | Brand | text |
image | Image | url |
price | Price | currency |
mrp | MRP | currency |
discount | Discount % | percentage |
quantity | Quantity | text |
rating | Rating | rating |
inStock | In Stock | boolean |
inventory | Inventory | number |
subCategory | Sub-Category | text |
platform | Platform | text |
page | Page | number |
productId | Product ID | text |
variantId | Variant ID | text |
Example
curl -X POST https://api.mindcase.co/api/v1/agents/blinkit/search/run \
-H "Authorization: Bearer mk_live_abc123def456" \
-H "Content-Type: application/json" \
-d '{
"params": {
"platform": "blinkit",
"stores": [
"40144"
],
"queries": [
"milk",
"chips"
],
"max_pages": 1
}
}'
Example response
{
"job_id": "job_7f3a2b1c",
"status": "completed",
"data": [
{
"searchQuery": "milk",
"storeId": "40144",
"city": "Bengaluru",
"pincode": "560003",
"productUrl": "https://blinkit.com/prn/x/prid/720182",
"productName": "Akshayakalpa Organic High Protein Cow Milk",
"brand": "Akshayakalpa Organic",
"image": [
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-210.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-211.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-212.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-213.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-214.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-215.png",
"https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1776407894015-216.png"
],
"price": 95.0,
"mrp": 100.0,
"discount": 5.0,
"quantity": "250 ml",
"rating": 3.33,
"inStock": true,
"inventory": 6,
"subCategory": "Cow Milk",
"platform": "Blinkit",
"page": 0,
"productId": "720182",
"variantId": "720182"
}
]
}